# Log Stream - Replays

{% hint style="info" %}
This feature is part of the Enterprise plan. If it is not enabled for your organization, please contact StrongDM at the [StrongDM Help Center](https://help.strongdm.com/hc/en-us).
{% endhint %}

| Field           | Type    | Description                                                                               | Example                                                      |
| --------------- | ------- | ----------------------------------------------------------------------------------------- | ------------------------------------------------------------ |
| chunkId         | Integer | Incrementing identifier of the chunk                                                      | `12345`                                                      |
| events          | Array   | List of chunk events, each containing the data and duration of the event                  | `[ { "durationMs": 12345, "data": "c2FtcGxlRGF0YQ==" } ]`    |
| eventsEncrypted | String  | Encrypted chunk events payload, base64 encoded                                            |                                                              |
| formatVersion   | String  | Version of the log format                                                                 | `"v1.0.0"`                                                   |
| hash            | String  | Hash of the chunk, base64 encoded                                                         | `"Yzk2MTE4NGNlYjg4ZDQ2Y2RiN2VjMTQyY2I3NDEyNzg3NDBhYTExNA=="` |
| logType         | String  | Type of log, always "replays" for replay logs                                             | `"replays"`                                                  |
| queryUUID       | String  | Unique identifier of the query                                                            | `"0CEGCEGCEGCEGCEGCEGCE1234ceg"`                             |
| sdmOrgId        | String  | Organization identifier of the organization that emitted the event represented in the log | `"o-6dce5b5663c12e6b"`                                       |
| timestamp       | String  | Time at which the chunk was started, formatted as datetime                                | `"2024-08-01T13:13:20.895597162Z"`                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.strongdm.com/admin/audit/logs/references/logstream-replays.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
